"use strict";
var import_status_seeds = require("./app-seeds/status-seeds");
var import_user_seeds = require("./app-seeds/user-seeds");
var import_permission_seeds = require("./app-seeds/permission-seeds");
var import_menuItems_seeds = require("./app-seeds/menuItems-seeds");
var import_field_types_seeds = require("./app-seeds/field-types-seeds");
var import_master_grid_seeds = require("./app-seeds/master-grid-seeds");
var import_import_template_seeds = require("./app-seeds/import-template-seeds");
var import_entity_type_seeds = require("./app-seeds/entity-type-seeds");
var import_action_type_seeds = require("./app-seeds/action-type-seeds");
var import_language_seeds = require("./app-seeds/language-seeds");
var import_form_entity_seeds = require("./app-seeds/form-entity-seeds");
var import_languageContent_seeds = require("./app-seeds/languageContent-seeds");
var import_wizard_type_seeds = require("./app-seeds/wizard-type-seeds");
var import_dashboard_wizard_seeds = require("./app-seeds/dashboard-wizard-seeds");
var import_menus_seeds = require("./app-seeds/menus-seeds");
var import_mobileMenuItems_seeds = require("./app-seeds/mobileMenuItems-seeds");
var import_menuTypes_seeds = require("./app-seeds/menuTypes-seeds");
var import_role_seeds = require("./app-seeds/role-seeds");
var import_userRoles_seeds = require("./app-seeds/userRoles-seeds");
var import_email_template_process_seeds = require("./app-seeds/email-template-process-seeds");
var import_email_template_seeds = require("./app-seeds/email-template-seeds");
var import_configuration_seeds = require("./app-seeds/configuration-seeds");
var import_email_template_assignment_seeds = require("./app-seeds/email-template-assignment-seeds");
var import_program_year_seeds = require("./app-seeds/program-year-seeds");
var import_document_sequence_seeds = require("./app-seeds/document-sequence-seeds");
var import_data_transfer_queries_seeds = require("./app-seeds/data-transfer-queries-seeds");
var import_device_registration_seeds = require("./app-seeds/device-registration-seeds");
var import_export_template_seeds = require("./app-seeds/export-template-seeds");
var import_policy_seeds = require("./app-seeds/policy-seeds");
var import_department_seeds = require("./app-seeds/department-seeds");
var import_app_version_seeds = require("./app-seeds/app-version-seeds");
var import_approval_workflow_approver_tag_seed = require("./app-seeds/approval-workflow-approver-tag-seed");
var import_approval_workflow_seeds = require("./app-seeds/approval-workflow-seeds");
var import_scheduled_job_seeds = require("./app-seeds/scheduled-job-seeds");
var import_about_lcp_seeds = require("./app-seeds/about-lcp-seeds");
var import_child_process_seeds = require("./app-seeds/child-process-seeds");
var import_carousel_template_seeds = require("./app-seeds/carousel-template-seeds");
const company_id = 1;
async function applicationSeeders() {
  try {
    await (0, import_status_seeds.statusSeeder)();
    await (0, import_scheduled_job_seeds.scheduledJobSeeder)();
    await (0, import_entity_type_seeds.entityTypeSeeder)(company_id);
    await (0, import_action_type_seeds.actionTypeSeeder)(company_id);
    await (0, import_wizard_type_seeds.wizardTypeSeeder)(company_id);
    await (0, import_user_seeds.usersSeeder)(company_id);
    await (0, import_program_year_seeds.financialYearSeeder)(company_id);
    await (0, import_document_sequence_seeds.documentSequenceSeeder)(company_id);
    await (0, import_field_types_seeds.fieldTypesSeeder)(company_id);
    await (0, import_export_template_seeds.exportTemplatesSeeder)(company_id);
    await (0, import_import_template_seeds.importTemplatesSeeder)(company_id);
    await (0, import_master_grid_seeds.gridSeeder)(company_id);
    await (0, import_dashboard_wizard_seeds.wizardGroupSeeder)(company_id);
    await (0, import_form_entity_seeds.formEntitiesSeeder)(company_id);
    await (0, import_permission_seeds.permissionsSeeder)(company_id);
    await (0, import_menus_seeds.menusSeeder)(company_id);
    await (0, import_menuItems_seeds.menuItemsSeeder)(company_id);
    await (0, import_mobileMenuItems_seeds.mobileMenuItemsSeeder)(company_id);
    await (0, import_menuTypes_seeds.menuTypesSeeds)(company_id);
    await (0, import_language_seeds.languageSeeds)(company_id);
    await (0, import_languageContent_seeds.languageContentSeeds)(company_id);
    await (0, import_role_seeds.roleSeeds)(company_id);
    await (0, import_userRoles_seeds.userRolesSeeds)(company_id);
    await (0, import_email_template_process_seeds.emailTemplatesProcessSeeder)(company_id);
    await (0, import_email_template_seeds.emailTemplatesSeeder)(company_id);
    await (0, import_configuration_seeds.configurationsSeeder)(company_id);
    await (0, import_email_template_assignment_seeds.emailTemplateAssignmentsSeeder)(company_id);
    await (0, import_data_transfer_queries_seeds.dataTransferQueries)(company_id);
    await (0, import_device_registration_seeds.deviceRegistrationSeeder)(company_id);
    await (0, import_policy_seeds.policiesSeeder)(company_id);
    await (0, import_department_seeds.departmentSeeds)(company_id);
    await (0, import_app_version_seeds.appVersionsSeeder)(company_id);
    await (0, import_approval_workflow_approver_tag_seed.approvalWorkflowApproverTag)(company_id);
    await (0, import_approval_workflow_seeds.approvalWorkflow)(company_id);
    await (0, import_about_lcp_seeds.aboutLCPSeeder)(company_id);
    await (0, import_child_process_seeds.chileProcessSeeder)(company_id);
    await (0, import_carousel_template_seeds.carouselTemplatesSeeder)(company_id);
  } catch (error) {
    console.log(`Application seeder error: `, error);
  }
}
applicationSeeders();
